- commit = @repository.commit(branch.target)
%li(class="js-branch-#{branch.name}")
  %h4
    = link_to project_tree_path(@project, branch.name) do
      %strong= truncate(branch.name, length: 60)
      - if branch.name == @repository.root_ref
        %span.label.label-info default
      - if @project.protected_branch? branch.name
        %span.label.label-success
          %i.icon-lock
          = t("projects_section.branches.protected")
    .pull-right
      - if can?(current_user, :download_code, @project)
        = render 'projects/repositories/download_archive', ref: branch.name, btn_class: 'btn-grouped btn-group-small'
      - if branch.name != @repository.root_ref
        = link_to project_compare_index_path(@project, from: @repository.root_ref, to: branch.name), class: 'btn btn-grouped btn-small', method: :post, title: t("projects_section.branches.compare") do
          %i.icon-copy
          = t("projects_section.branches.compare")

      - if can_remove_branch?(@project, branch.name)
        = link_to project_branch_path(@project, branch.name), class: 'btn btn-grouped btn-small btn-remove remove-row', method: :delete, data: { confirm: t("projects_section.branches.removed_branch_not_restored_sure")}, remote: true do
          %i.icon-trash

  - if commit
    %ul.list-unstyled
      = render 'projects/commits/inline_commit', commit: commit, project: @project
  - else
    %p
      = t("projects_section.branches.can_not_find_head")
